Bug 566896 - Link to individual alert definition on alert templates page fails
Summary: Link to individual alert definition on alert templates page fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 3.0.0
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: Justin Harris
QA Contact: John Sefler
URL:
Whiteboard:
: 567769 (view as bug list)
Depends On:
Blocks: rhq_sprint06
TreeView+ depends on / blocked
 
Reported: 2010-02-20 09:07 UTC by Heiko W. Rupp
Modified: 2013-07-04 21:08 UTC (History)
4 users (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-12 16:58:10 UTC


Attachments (Terms of Use)

Description Heiko W. Rupp 2010-02-20 09:07:26 UTC
Description of problem:

Clicking on a definition name in http://localhost:7080/rhq/admin/listAlertTemplates.xhtml?type=10005
gives an error.


Version-Release number of selected component (if applicable):

3.0.0.0b03

How reproducible:

always


Steps to Reproduce:

See above
  
Actual results:

Error message

Expected results:

Showing of the alert definition


Additional info:

ctually the broken link points to 
http://localhost:7080/alerts/Config.do?mode=viewRoles&type=10005&ad=10011

so the user can "manually" navigate to 
http://localhost:7080/rhq/resource/alert/viewAlert.xhtml?type=10005&ad=10011

The target viewAlert page still shows a wrong breadcrumb

Comment 1 Heiko W. Rupp 2010-02-22 11:17:51 UTC
a57abc5 fixes this particular link issue.

Breadcrumbs are still wrong

"New definiton" button on http://localhost:7080/rhq/admin/listAlertTemplates.xhtml?type=10043 still links to the old struts page.

Comment 2 Heiko W. Rupp 2010-02-24 13:40:47 UTC
*** Bug 567769 has been marked as a duplicate of this bug. ***

Comment 3 Heiko W. Rupp 2010-02-24 15:35:27 UTC
More link fixes are in 33e3625 for templates and groups.

Breadcrump should be ok now too.

Browser title bar needs some more work.

Comment 4 Justin Harris 2010-02-25 17:29:06 UTC
Title bar fixed in 2a18d950b525c722a947803b158bc885d82ecec6

Comment 5 wes hayutin 2010-03-09 19:49:37 UTC
verified in commit 5fe4ebec1774888f42bfb0b0ae447a8631b5baf2

Comment 6 wes hayutin 2010-03-10 14:19:46 UTC
moving verified bugs to rhq_sprint06, and removing from rhq_chainsaw

Comment 7 Corey Welton 2010-08-12 16:58:10 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.